!compute the properties of the hash table
!by D.Jost 08/08/09

subroutine hashtable()

implicit none

include 'global.var'

integer		::res,res2,res3

!propriete du hash-coding
Nbmax=5*NchainMax
a1=int(real(Nbmax)**(0.25d0))
call gcd(Nbmax,a1,res)
do while (res.ne.1)
	a1=a1+1
	call gcd(Nbmax,a1,res)
end do
a2=int(real(Nbmax)**(0.5d0))
call gcd(Nbmax,a2,res)
call gcd(a2,a1,res2)
do while ((res.ne.1).or.(res2.ne.1))
	a2=a2+1
	call gcd(Nbmax,a2,res)
	call gcd(a2,a1,res2)
end do
a3=int(real(Nbmax)**(0.75d0))
call gcd(Nbmax,a3,res)
call gcd(a3,a1,res2)
call gcd(a3,a2,res3)
do while ((res.ne.1).or.(res2.ne.1).or.(res3.ne.1))
	a3=a3+1
	call gcd(Nbmax,a3,res)
	call gcd(a3,a1,res2)
	call gcd(a3,a2,res3)
end do

end subroutine hashtable